
// Cmc_TestAppDlg.h : 헤더 파일
//
#include "ComiCmcSdk.h"

#pragma once

#define NETID	0

// CCmc_TestAppDlg 대화 상자
class CCmc_TestAppDlg : public CDialogEx
{
// 생성입니다.
public:
	CCmc_TestAppDlg(CWnd* pParent = NULL);	// 표준 생성자입니다.

// 대화 상자 데이터입니다.
	enum { IDD = IDD_CMC_TESTAPP_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV 지원입니다.


// 구현입니다.
protected:
	HICON m_hIcon;

	// 생성된 메시지 맵 함수
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CComiCmc ComiCMC;

	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnClick_CheckSvon();
	afx_msg void OnClick_BtnReadcfg();
	afx_msg void OnClick_BtnWritecfg();
	afx_msg void OnClick_BtnStop();
	afx_msg void OnClick_BtnRelmove();
	afx_msg void OnClick_BtnAbsmove();
	afx_msg void OnClick_BtnVelmove();
	afx_msg void OnClick_BtnEstop();
	afx_msg void OnClick_BtnHmove();
	afx_msg void OnClick_BtnReadhomecfg();
	afx_msg void OnClick_BtnWritehomecfg();
	afx_msg void OnCbnSelendokCmbHmethod();
	afx_msg void OnCbnSelendokCmbAxis();
public:
	void UpdateAxsiListComboBox(CComboBox *pComboBox);
	int	 GetAxisSel(void);
	void GetAlStateText(int nAlState, TCHAR szBuf[], int nBufLen);
public:
	long nTotalAxes;
	long nCmcAxes;
	int nHomeMethod;
	int m_nWorkSpeed;
	int m_nAcceleration;
	int m_nDeceleration;
	int m_nTargetPosition;
	int m_nTargetVelocity;
	int m_nHomeWorkSpd;
	int m_nHomeStopSpd;
	int m_nHomeAcc;
};
